# Created by pyp2rpm-3.3.2
%global pypi_name apipkg

Name:           python-%{pypi_name}
Version:        3.0.2
Release:        %mkrel 2
Summary:        apipkg: namespace control and lazy-import mechanism
Group:          Development/Python
License:        MIT
URL:            https://github.com/pytest-dev/apipkg
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
With apipkg you can control the exported namespace of a Python package and
greatly reduce the number of imports for your users. It cooperates well with
Python’s help() system, custom importers (PEP302) and common command-line
completion tools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
With apipkg you can control the exported namespace of a Python package and
greatly reduce the number of imports for your users. It cooperates well with
Python’s help() system, custom importers (PEP302) and common command-line
completion tools.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if 0
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 3.0.2-2.mga10
+ Revision: 2156455
- rebuild for python3.13

* Sun Dec 24 2023 wally <wally> 3.0.2-1.mga10
+ Revision: 2021071
- new version 3.0.2

* Fri Dec 08 2023 papoteur <papoteur> 3.0.1-2.mga10
+ Revision: 2015818
- rebuild for python 3.12

* Mon Sep 05 2022 neoclust <neoclust> 3.0.1-1.mga9
+ Revision: 1884198
- New version 3.0.1

* Sat Mar 26 2022 umeabot <umeabot> 2.1.0-2.mga9
+ Revision: 1828439
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.1.0-1.mga9
+ Revision: 1772509
- new version 2.1.0
- rebuild for python3.10

* Mon Mar 15 2021 wally <wally> 1.5-5.mga9
+ Revision: 1703581
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.5-4.mga8
+ Revision: 1531443
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.5-3.mga8
+ Revision: 1440341
- rebuild for python-3.8
- drop python2 subpkg

* Fri Aug 30 2019 wally <wally> 1.5-2.mga8
+ Revision: 1435594
- build without python2 pytest

* Thu Jan 10 2019 kekepower <kekepower> 1.5-1.mga7
+ Revision: 1354611
- imported package python-apipkg

